-- BEGIN SECTION 1 --------------------------------------
create table EMPLOYEE
(
  ID        BIGINT not null,
  EMPLOYEE_NUMBER VARCHAR(100),
  NAME      VARCHAR(200),
  SURNAME   VARCHAR(200),
  AGE	NUMERIC not null,
  PRIMARY KEY (ID)
);

create table TEMP_TABLE 
(
  ID        BIGINT not null,
  NAME      VARCHAR(200)
);

-- END SECTION 1 ----------------------------------------


-- BEGIN SECTION 2 --------------------------------------
-- Create table
create table PEOPLE
(
  ID          BIGINT not null AUTO_INCREMENT,
  firstname        varchar(100),
  lastname     varchar(100),
  birthdate timestamp,
  deathdate date,
  firstblob BLOB,
  secondblob BLOB, 
  firstclob LONGTEXT,
  PRIMARY KEY (ID)
);


-- Create table
create table BLOBCLOB
(
  id          BIGINT not null AUTO_INCREMENT,
  blob_field BLOB,
  clob_field LONGTEXT,
  PRIMARY KEY (ID)
);


-- END SECTION 2 ----------------------------------------


-- BEGIN SECTION 3 --------------------------------------
-- Create table
create table AUTHORS
(
  id          BIGINT not null AUTO_INCREMENT,
  firstname        varchar(100),
  lastname     varchar(100),
  birthdate timestamp,
  PRIMARY KEY (ID)
);
  

-- Create table
create table PUBLICATIONS
(
  ID                BIGINT not null AUTO_INCREMENT,
  IDAUTHOR	BIGINT not null,
  TITLE            VARCHAR(200),
  PUBLICATIONDATE DATE,
  PRIMARY KEY (ID),
  FOREIGN KEY (IDAUTHOR) REFERENCES AUTHORS (ID) on delete cascade
);

--ALTER TABLE PUBLICATIONS ADD FOREIGN KEY (IDAUTHOR) REFERENCES AUTHORS (ID) on delete cascade;
  

-- Create table
create table ADDRESS
(
  ID                BIGINT not null AUTO_INCREMENT,
  IDAUTHOR			BIGINT not null,
  ADDRESS            VARCHAR(200),
  CITY            VARCHAR(200),
  PRIMARY KEY (ID)
);

ALTER TABLE ADDRESS ADD FOREIGN KEY (IDAUTHOR) REFERENCES AUTHORS (ID) on delete cascade;

-- END SECTION 3 ----------------------------------------


-- BEGIN SECTION 4 --------------------------------------

-- END SECTION 4 ----------------------------------------


-- BEGIN SECTION 5 --------------------------------------

-- Create table with autogenerated pk
create table AUTO_ID
(
  ID BIGINT AUTO_INCREMENT,
  VALUE varchar(100),
  PRIMARY KEY (ID)
);

-- END SECTION 5 ----------------------------------------


-- BEGIN SECTION 6 --------------------------------------
-- tables to test the @VERSION annotation

create table DATA_VERSION_INT
(
  ID BIGINT AUTO_INCREMENT,
  DATA varchar(100),
  VERSION NUMERIC,
  PRIMARY KEY (ID)
);

create table DATA_VERSION_TIMESTAMP
(
  ID BIGINT AUTO_INCREMENT,
  DATA varchar(100),
  VERSION timestamp,
  PRIMARY KEY (ID)
);

-- END SECTION 6 ----------------------------------------


-- BEGIN SECTION 7 --------------------------------------
-- tables to test queries using WrapperTypes

create table WRAPPER_TYPE_TABLE
(
  ID BIGINT AUTO_INCREMENT,
  START_DATE timestamp,
  NOW timestamp,
  END_DATE timestamp,
  VALID numeric(1),
  PRIMARY KEY (ID)
);

-- END SECTION 7 ----------------------------------------


-- BEGIN SECTION 8 --------------------------------------
-- aggregated beans

create table USERS
(
  ID bigint AUTO_INCREMENT,
  FIRSTNAME      VARCHAR(200) not null,
  LASTNAME   VARCHAR(200) not null,
  AGE bigint,
  VERSION NUMERIC not null,
  PRIMARY KEY (ID)
);

create table USER_COUNTRY
(
  ID bigint AUTO_INCREMENT,
  NAME VARCHAR(200) not null,
  PRIMARY KEY (ID)
);

create table USER_ADDRESS
(
  USER_ID bigint not null,
  COUNTRY_ID bigint not null,
  FOREIGN KEY (USER_ID) REFERENCES USERS (ID),
  FOREIGN KEY (COUNTRY_ID) REFERENCES USER_COUNTRY (ID)
);

create table USER_JOB
(
  ID bigint AUTO_INCREMENT,
  USER_ID bigint not null,
  NAME VARCHAR(200),
  FOREIGN KEY (USER_ID) REFERENCES USERS (ID),
  PRIMARY KEY (ID)
);

create table USER_JOB_TASK
(
  ID bigint AUTO_INCREMENT,
  USER_JOB_ID bigint not null,
  NAME VARCHAR(200),
  FOREIGN KEY (USER_JOB_ID) REFERENCES USER_JOB (ID),
  PRIMARY KEY (ID)
);

-- BEGIN SECTION 8 --------------------------------------
